Bug 176745 - sun java application server 8_1_02_2005Q2-linux.bin no longer installs
sun java application server 8_1_02_2005Q2-linux.bin no longer installs
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: compat-gcc-32 (Show other bugs)
5
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-31 14:30 EST by John Himpel
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 2.96-134
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-04 09:48:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Himpel 2005-12-31 14:30:36 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8) Gecko/20051216 Fedora/1.5-3 Firefox/1.5

Description of problem:
When I try to install this on a fully updated Rawhide machine, I get the following error:[root@john Download]# ./sjsas_pe-8_1_02_2005Q2-linux.bin -console
./sjsas_pe-8_1_02_2005Q2-linux.bin: symbol lookup error: /usr/lib/libstdc++-libc6.2-2.so.3: undefined symbol: _pthread_cleanup_push_defer__FP23_pthread_cleanup_bufferPFPv_vPv

I have the following installed:
Installed Packages
compat-libstdc++-296.i386                2.96-133               installed
compat-libstdc++-33.i386                 3.2.3-47.fc4           installed
libstdc++.i386                           4.1.0-0.12             installed
libstdc++-devel.i386                     4.1.0-0.12             installed

I believed sjsas_pe-8_1_02_2005Q2-linux.bin installed fine before the gcc 4.1 upgrade, but I am not certain.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Install Rawhide
2.download sjsas_pe-8_1_02_2005Q2-linux.bin from Sun
3.chmod 777 sjsas_pe-8_1_02_2005Q2-linux.bin
4 ./sjsas_pe-8_1_02_2005Q2-linux.bin
  

Actual Results:  I get the error message shown in the description of this bug report

Expected Results:  The first dialog box in the installation process

Additional info:
Comment 1 Jakub Jelinek 2006-01-04 09:48:29 EST
Should be fixed in compat-gcc-296-2.96-134.

Note You need to log in before you can comment on or make changes to this bug.